.main-cta {
    display: flex;
    justify-content: center;
    align-items: center;
}

.main-cta-content {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-basis: 100%;
    text-align: center;
    background-color: rgba(66, 183, 73, 0.9);
    padding: 15px;
}

.main-cta-content a {
    text-decoration: none;
    color: #ffffff;
    font-size: 1.1em;
    font-weight: var(--weight-normal);
    text-transform: uppercase;
    display: block; /* Alterado para block para ocupar toda a largura do pai */
    width: 100%;
    height: 100%;
    cursor: pointer;
}

.main-cta-content a:hover {
    background-color: rgba(66, 183, 73, 1); /* Ajuste conforme necessário */
}

.main-cta-content p {
    margin: 0; /* Remover margens padrão do parágrafo */
}

.main-cta .icon-whatsapp {
    font-size: 1.3em;
    margin-left: 10px;
}

@media (max-width: 52em) {
    .main-cta {
        flex-direction: column; /* Para dispositivos móveis, coloca os elementos um abaixo do outro */
        align-items: stretch; /* Garante que os itens se estendam ao longo do eixo transversal */
    }

    .main-cta-content {
        padding: 10px; /* Reduz o padding para dispositivos móveis, se necessário */
    }

    .main-cta-content a {
        font-size: 1em;
    }
}